Jump to content
Sign in to follow this  
Camus The Dark Knight

Recommend: Remove My FE4 Patch

Recommended Posts

https://serenesforest.net/general/translation-patches-and-hacks/

Or at the least put a disclaimer that it is old and outdated, it was put up when this site was still pretty new. The newer translation patch breaks it, so I get "The game breaks when X" messages periodically from people. It has been outdated for some time anyway due to having a lot of old bugs that were common back in those days, that have since been fixed, though the one on the site has not been updated. I'm playing through it and plan on cleaning up anything and just releasing a final version on the modding forums after. Much thanks ahead.

EDIT: Looking at it, maybe the page should be updated with the newer translations as well?

Edited by Camus The Dark Knight

Share this post


Link to post
Share on other sites

I'll have to do this when I'm on next, since I have to leave soon.  However, I'm not entirely in the loop when it comes to patches, so which one(s) should replace yours?  And once you're done with a final patch, would you mind if it was re-added to the list?

Share this post


Link to post
Share on other sites

On the 2nd list (hacks/modifications) It's "Fire Emblem 4 Remix" by camus the dark knight. Not the most creative name, but it fit since was mostly just fixing FE4 qualms everyone had (a couple examples would be near-useless weapon types or pursuit being required to double) then ramping up the difficulty since the base game is pretty tame. Basic idea was to make game play a bit more interesting than having a couple mounted units tear through the entire game.

If you think replacing it should be better I am fine with that, be sure to put a disclaimer it doesn't work with the newest translation patch. Maybe some time I will look at the code of the latest patch and see what is conflicting and causing crashes and potentially update to work with it (I am assuming both use the same blank space for new code, and that is in conflict), but it's not the intent currently. Last I checked it still works with the old one (J2E & Twilkitri one), though I always did work on the base game since the old translation patch had a few wonky issues, so I can't be 100% sure.

 

Edited by Camus The Dark Knight

Share this post


Link to post
Share on other sites

I think that entire page is going to need to be revamped.  But since 3H is about to release, I doubt this will be addressed anytime in the near future (as I can't edit the main site, just stuff on the forums).  We're going to have our hands full.  Sorry!

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...